GNU bug report logs - #50583
27.2; test-completion should return non-nil

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Kevin Vigouroux <ke.vigouroux@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 50583 <at> debbugs.gnu.org and Kevin Vigouroux <ke.vigouroux@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50583 <at> debbugs.gnu.org:


Received: (at 50583) by debbugs.gnu.org; 16 Sep 2021 12:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 08:19:22 2021
Received: from localhost ([127.0.0.1]:54039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQqMM-00026X-HL
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 08:19:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mQqMH-000268-T6
 for 50583 <at> debbugs.gnu.org; Thu, 16 Sep 2021 08:19:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TThU2MROgJhnimKe0l/aMY/nARXwAbwUSe2q8BkcwHM=; b=aAXvLtdx5N+pXZ2Zzne8ddSVtt
 J2iuuPUQW72qNG7old4Uyjdg8r7rUFbkvODeQJt9MxVyvrYYFixeCsr3Q3uIS88FpwwN2zsOMyhLD
 1WMCZ9mcrVYGZLEvHHoWkf5y28Oyhb3wm+ryXK8wVVD9uriy5PyS9fQ7uGsXpcRwOj80=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mQqM9-000293-7A; Thu, 16 Sep 2021 14:19:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Kevin Vigouroux <ke.vigouroux@HIDDEN>
Subject: Re: bug#50583: 27.2; test-completion should return non-nil
References: <87ilz3p9uq.fsf@HIDDEN>
 <da5ee2a1-2599-2f4a-6c63-77bd148bffd1@HIDDEN>
 <877dfiuuhj.fsf@HIDDEN> <877dfh96bi.fsf@HIDDEN>
Date: Thu, 16 Sep 2021 14:19:08 +0200
In-Reply-To: <877dfh96bi.fsf@HIDDEN> (Kevin Vigouroux's message of "Wed, 
 15 Sep 2021 18:01:05 +0200")
Message-ID: <87pmt8d877.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Kevin Vigouroux <ke.vigouroux@HIDDEN> writes: > Indeed, 
 the documentation is not very clear. It is not known that the > STRING must
 be an exact match in COMPLETION nor the context of use of > the
 `test-completion' function. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50583
Cc: 50583 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Kevin Vigouroux <ke.vigouroux@HIDDEN> writes:

> Indeed, the documentation is not very clear. It is not known that the
> STRING must be an exact match in COMPLETION nor the context of use of
> the `test-completion' function.

I've now clarified the doc string by copying some text from the manual.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50583; Package emacs. Full text available.

Message received at 50583 <at> debbugs.gnu.org:


Received: (at 50583) by debbugs.gnu.org; 15 Sep 2021 16:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 12:01:24 2021
Received: from localhost ([127.0.0.1]:53006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQXLe-0002Ol-OE
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 12:01:24 -0400
Received: from smtp-outgoing-1602.laposte.net ([160.92.124.97]:51638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ke.vigouroux@HIDDEN>) id 1mQXLZ-0002OQ-Cb
 for 50583 <at> debbugs.gnu.org; Wed, 15 Sep 2021 12:01:21 -0400
X-mail-filterd: {"version":"1.3.1", "queueID":"4H8lLp5L35z10MQS",
 "contextId":"fef16e25-948d-40f8-9e21-2e963df6f338"}
Received: from outgoing-mail.laposte.net (localhost.localdomain [127.0.0.1])
 by mlpnf0120.laposte.net (SMTP Server) with ESMTP id 4H8lLp5L35z10MQS;
 Wed, 15 Sep 2021 18:01:06 +0200 (CEST)
X-mail-filterd: {"version":"1.3.1", "queueID":"4H8lLp2h5Wz10MQR",
 "contextId":"809cbb57-cd42-4395-af4e-6a97932eeaa6"}
X-lpn-mailing: LEGIT
X-lpn-spamrating: 46
X-lpn-spamlevel: not-spam
X-lpn-spamcause: OK,
 (-100)(0000)gggruggvucftvghtrhhoucdtuddrgedvtddrudehuddgleduucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecunfetrffquffvgfdpqfgfvfdpggftfghnshhusghstghrihgsvgenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefmvghvihhnucggihhgohhurhhouhiguceokhgvrdhvihhgohhurhhouhigsehlrghpohhsthgvrdhnvghtqeenucggtffrrghtthgvrhhnpefgueelheevuefgieduueehvdeifeffjeefueekffdtfeetvedugeetlefgffetjeenucfkphepuddtledrvddukedrfedrudelkeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepihhnvghtpedutdelrddvudekrdefrdduleekpdhhvghloheprghrrghgohhgpdhmrghilhhfrhhomhepkhgvrdhvihhgohhurhhouhigsehlrghpohhsthgvrdhnvghtpdhrtghpthhtohephedtheekfeesuggvsggsuhhgshdrghhnuhdrohhrghdprhgtphhtthhopegughhuthhovheshigrnhguvgigrdhruhdprhgtphhtthhopehlrghrshhisehgnhhushdrohhrgh
Received: from aragog (arennes-653-1-228-198.w109-218.abo.wanadoo.fr
 [109.218.3.198])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mlpnf0120.laposte.net (SMTP Server) with ESMTPSA id 4H8lLp2h5Wz10MQR;
 Wed, 15 Sep 2021 18:01:06 +0200 (CEST)
From: Kevin Vigouroux <ke.vigouroux@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#50583: 27.2; test-completion should return non-nil
References: <87ilz3p9uq.fsf@HIDDEN>
 <da5ee2a1-2599-2f4a-6c63-77bd148bffd1@HIDDEN>
 <877dfiuuhj.fsf@HIDDEN>
Date: Wed, 15 Sep 2021 18:01:05 +0200
In-Reply-To: <877dfiuuhj.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 15 Sep 2021 10:13:28 +0200")
Message-ID: <877dfh96bi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=lpn-wlmd;
 t=1631721670; bh=+TP57Rs0UHen3WusC6efbq9BZ9FicYZMZQDKJwmlcF0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:MIME-Version:Content-Type;
 b=Fhq3W7yEEYEidVoqTvm/ycE/I/YVudBBdNI7QUHw/kYCKW0QVNMPHDLBHY/EQqatwSOaa4r1opdKA/EPxDe+CXnoYc5jym1oAi6lE3rsm+VUC2EpA8Jnjucjg8qRylYjnbJDMznnSe5o5Nic4zJaztV8ZLlySzMUqnLzIJBd9SDi/0XiWrvuYyOJQblIyNUPqEIGXcKoTtmamVXzgdcrejs9rG59yYPXuSGO/5XPWLicfT3DN8/yOt+lsKmWLXnLGg32GiIoHL4t7JjS56XNHD8z4DgC8jGC2yRuEo8cKvKtQ9ihzCFe1OAs6L6228vfHyl99BsutWdBAldWZ7Hw6Q==;
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50583
Cc: 50583 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Indeed, the documentation is not very clear. It is not known that the
STRING must be an exact match in COMPLETION nor the context of use of
the `test-completion' function.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50583; Package emacs. Full text available.

Message received at 50583 <at> debbugs.gnu.org:


Received: (at 50583) by debbugs.gnu.org; 15 Sep 2021 10:39:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 06:39:29 2021
Received: from localhost ([127.0.0.1]:50964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQSK9-00040H-5r
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 06:39:29 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:53777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mQSK8-000405-Bm
 for 50583 <at> debbugs.gnu.org; Wed, 15 Sep 2021 06:39:28 -0400
Received: by mail-wm1-f48.google.com with SMTP id i3so1763310wmq.3
 for <50583 <at> debbugs.gnu.org>; Wed, 15 Sep 2021 03:39:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=mTPxsuZ2B3D6lA9Ti4kkGrZqdKR9pwykY/NdiAErDS0=;
 b=qpEItkT+WhWoiEeJer3Da7w3v3y1yEb8uFqx0T4AJ12+6uQMu42/H0WLzOkwei9r02
 Upvwu5zAOTzNcahdx0zBWCDMeg3swBoCFiIuOxAdt515A4nQJ1+bcq+AQG8IsvGoIHqw
 GPrufD1WoPmmt3+vkPT7cZ9fgVub+Yh0XBeKQCkXJGJ1zLjTDKXi9qXG1JsiSMlLqikr
 sYS+Fs2SCsjyVxDAojuZlYUXQkQPDuv1CDoPR+wW1X1WrbzGqPvjofGkXaQU1LF/Cp7/
 g1RMtrPw2wHsz5t2ZrHKfWof78YGDIdPrQb8NuFviFMX7388s8zhM6vLVAnWl9OkrdXp
 DykA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=mTPxsuZ2B3D6lA9Ti4kkGrZqdKR9pwykY/NdiAErDS0=;
 b=qSVOSyftpaSTEjVrZui4S2C1nT9Ni8QiPBx4AVtl26ZR+Qe2QjsC8G+jBx76+AUaXY
 a1pu6kBJAccFLjGUBNrVH+/CsUcVCPK0C7boVIYLE2C6OdqRDtZMsfOrJnYgJTJ1Vpby
 +gOEhZAyKQQ/Mp6PqgT4AdOCuiJDj3KqnX1PFYuSj2VVvEa3cS6aUmwNkjhJACbs/hnp
 LExfix0HUQaoXsg5uRXP11/ZtJgzhFV2IrSAv7zBWTg0Bl3Hu9DvMTQlGZAqKej8qi2T
 ER9wP417OlfXWyb2445HxyC5fEbaexJ+afAAcqv/kgJVSFex4bv7mCgQZfpOnTH1BbdW
 IRwg==
X-Gm-Message-State: AOAM5315+FkKJsNFR60Sq/yQauafBPLL7cp09EyzSJWQPAirE3yXeTiI
 LnPd4CPZpTXWhCpt8kWVuilCh48df34=
X-Google-Smtp-Source: ABdhPJwyQFDzorXojex4hEPRljxiNKgJEQv+1v1R5pyOEFgFzz+Ttxk604iaa0hdQokb5AzKLVQhJQ==
X-Received: by 2002:a1c:7906:: with SMTP id l6mr3631496wme.78.1631702362822;
 Wed, 15 Sep 2021 03:39:22 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id l21sm3823379wmh.31.2021.09.15.03.39.20
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 15 Sep 2021 03:39:21 -0700 (PDT)
Subject: Re: bug#50583: 27.2; test-completion should return non-nil
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87ilz3p9uq.fsf@HIDDEN>
 <da5ee2a1-2599-2f4a-6c63-77bd148bffd1@HIDDEN> <877dfiuuhj.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <dcca1896-153d-250b-e12a-3f366de78edc@HIDDEN>
Date: Wed, 15 Sep 2021 13:39:19 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <877dfiuuhj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50583
Cc: Kevin Vigouroux <ke.vigouroux@HIDDEN>, 50583 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 15.09.2021 11:13, Lars Ingebrigtsen wrote:
> So perhaps it could be clarified.  I think it wants to say something
> like "if STRING is in COMPLETIONS", but since COMPLETIONS can be a
> function, that's not quite right.

"Valid completion" should be described somewhere where the completion 
tables are described, I guess.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50583; Package emacs. Full text available.

Message received at 50583 <at> debbugs.gnu.org:


Received: (at 50583) by debbugs.gnu.org; 15 Sep 2021 08:13:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 04:13:39 2021
Received: from localhost ([127.0.0.1]:50785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQQ31-00005y-Jz
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 04:13:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mQQ2z-00005j-G7
 for 50583 <at> debbugs.gnu.org; Wed, 15 Sep 2021 04:13:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Hsp3lBV6BPKL7i+eH5c4/HpsyusWAiF+4s0Fry1EkjE=; b=Jp2ensn2HRTPPWx0qscyOioOFg
 POtCTuefCpXhepYbcvgRH213RmI2AWA6yPD865r7XuLdYYBM32PU6iRSjHZqObVI69swBKR14XSrG
 0dEfshBdtx/sGHjKSG3hKNH1KBQWxdp9NAGIwKfRcg7/kq7zHTAvwUjLzilEgpiy4Unk=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mQQ2q-00019h-RQ; Wed, 15 Sep 2021 10:13:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50583: 27.2; test-completion should return non-nil
References: <87ilz3p9uq.fsf@HIDDEN>
 <da5ee2a1-2599-2f4a-6c63-77bd148bffd1@HIDDEN>
Date: Wed, 15 Sep 2021 10:13:28 +0200
In-Reply-To: <da5ee2a1-2599-2f4a-6c63-77bd148bffd1@HIDDEN> (Dmitry Gutov's
 message of "Wed, 15 Sep 2021 02:37:01 +0300")
Message-ID: <877dfiuuhj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Dmitry Gutov <dgutov@HIDDEN> writes: > On 14.09.2021 16:25,
    Kevin Vigouroux via Bug reports for GNU Emacs, > the Swiss army knife of
   text editors wrote: >> In the following code, I assume that `test-completion'
    should return a >> non-‘ [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50583
Cc: Kevin Vigouroux <ke.vigouroux@HIDDEN>, 50583 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 14.09.2021 16:25, Kevin Vigouroux via Bug reports for GNU Emacs,
> the Swiss army knife of text editors wrote:
>> In the following code, I assume that `test-completion' should return a
>> non-=E2=80=98nil=E2=80=99 value because "foo" is a valid completion alte=
rnative.
>
> "foo" is not a member of the list '("foobar" "bar" "barfoo"), so
> that's not true.

The doc string here is vague, though:

Return non-nil if STRING is a valid completion.

So perhaps it could be clarified.  I think it wants to say something
like "if STRING is in COMPLETIONS", but since COMPLETIONS can be a
function, that's not quite right.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50583; Package emacs. Full text available.

Message received at 50583 <at> debbugs.gnu.org:


Received: (at 50583) by debbugs.gnu.org; 14 Sep 2021 23:37:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 19:37:12 2021
Received: from localhost ([127.0.0.1]:50398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQHzD-0006L4-Uw
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 19:37:12 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:39699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mQHzC-0006Kr-SN
 for 50583 <at> debbugs.gnu.org; Tue, 14 Sep 2021 19:37:11 -0400
Received: by mail-wr1-f49.google.com with SMTP id u15so862589wru.6
 for <50583 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 16:37:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=/hsj5SlYgXqiDiJZti+UYdrgy270wpPQ0yTgRZNjpcI=;
 b=qWaeI66oE3AmNuZNEfZy/h8cxjFaXmkewk8j7zvj9gUCrXdvGRd/Le1sKzJRlYgNiK
 znP8KlLLlLnMoVBjW8IzdO7RsntkojO4WDSX4m1Nd8XtiVAiaU0PvdQmR+Ac8q1HnEC7
 HVyqVsuDytrmrwLpEq+vm5A/hnFaJ4/FGIGHGIvzsEbnpFnToBCxN1qLnWkLLdhQ3KA7
 5hZ+FPblpsJO0GpiX7Y7/zGPAY0GmRkf+O00ZrRyk8eOd0qvrpK0Ap2DUCmq3yMM7BAL
 lOM6ysvqJjLR2rNIy/av4xyqf/4uZhLnORW4dUgdC+Aw/Zd1l7PIT4ORo7wXJFUYp2v1
 un3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=/hsj5SlYgXqiDiJZti+UYdrgy270wpPQ0yTgRZNjpcI=;
 b=OU4jqLNF9ZV9e6IioZOG5r28J2c4/QVpzde68ew546ZRHJmBpZ91YeZxKVTFCR2pbV
 EcaCBuPp0wW6LM4bzy7kyYpv/66fTUke/7YEBOapyb2yclXC004NlKdcqB6Axoc2z2wJ
 QF9h5ruGJ88xhGJRwrnwuL7+ECqk6N1KbhbKfAEzHHUAUXA9Z/nhBSZxbkiG+S0msLhg
 ZQuzMSNwhBQq+QvfEhTK3YnYMIrRcv/UA/q8+4JkCSAp9zKEbG9VvDqwToIwlNer7RII
 y2zUtcHrKE87Bf/4BSf0x9Q0m8yI1Yni/E4jAckvkeeOTLDsbzxn2WhcRWIXlixncEb+
 ZI9g==
X-Gm-Message-State: AOAM530UQGpM6j72owu8OTyY/74jm3ssO16O4+oWR6nTXynCyjiETkCB
 QN22wHOC6hNZC8PGmL40uRyi8t9UbVA=
X-Google-Smtp-Source: ABdhPJzNECbjQh+/lxuTqES5OWHd+K2LsSnINDgJrp5KStRB9gkQg4Kej/5v11AIYgn0ripErhVAnQ==
X-Received: by 2002:adf:82a8:: with SMTP id 37mr1662655wrc.409.1631662625026; 
 Tue, 14 Sep 2021 16:37:05 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id f7sm2450699wmh.20.2021.09.14.16.37.03
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 14 Sep 2021 16:37:04 -0700 (PDT)
Subject: Re: bug#50583: 27.2; test-completion should return non-nil
To: Kevin Vigouroux <ke.vigouroux@HIDDEN>, 50583 <at> debbugs.gnu.org
References: <87ilz3p9uq.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <da5ee2a1-2599-2f4a-6c63-77bd148bffd1@HIDDEN>
Date: Wed, 15 Sep 2021 02:37:01 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87ilz3p9uq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50583
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 14.09.2021 16:25, Kevin Vigouroux via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> In the following code, I assume that `test-completion' should return a
> non-‘nil’ value because "foo" is a valid completion alternative.

"foo" is not a member of the list '("foobar" "bar" "barfoo"), so that's 
not true.

Perhaps you want to use 'try-completion' instead?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50583; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Sep 2021 13:26:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 09:26:14 2021
Received: from localhost ([127.0.0.1]:48017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ8Rx-000376-Gd
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 09:26:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:39664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ke.vigouroux@HIDDEN>) id 1mQ8Rv-00036y-92
 for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 09:26:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45868)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ke.vigouroux@HIDDEN>)
 id 1mQ8Rv-00051M-0Z
 for bug-gnu-emacs@HIDDEN; Tue, 14 Sep 2021 09:26:11 -0400
Received: from smtp-outgoing-1702.laposte.net ([160.92.124.100]:35901)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ke.vigouroux@HIDDEN>)
 id 1mQ8Rr-00072J-4U
 for bug-gnu-emacs@HIDDEN; Tue, 14 Sep 2021 09:26:10 -0400
X-mail-filterd: {"version":"1.3.1", "queueID":"4H83y94Kgfz14K0c",
 "contextId":"91d93eb1-52c4-4150-9146-81e9f17342f3"}
Received: from outgoing-mail.laposte.net (localhost.localdomain [127.0.0.1])
 by mlpnf0109.laposte.net (SMTP Server) with ESMTP id 4H83y94Kgfz14K0c
 for <bug-gnu-emacs@HIDDEN>; Tue, 14 Sep 2021 15:25:53 +0200 (CEST)
X-mail-filterd: {"version":"1.3.1", "queueID":"4H83y92D33z14K0Z",
 "contextId":"97537899-8991-421f-8ee7-60c1d1b0a202"}
X-lpn-mailing: LEGIT
X-lpn-spamrating: 50
X-lpn-spamlevel: not-spam
X-lpn-spamcause: OK,
 (0)(0000)gggruggvucftvghtrhhoucdtuddrgedvtddrudegledgiedvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecunfetrffquffvgfdpqfgfvfdpggftfghnshhusghstghrihgsvgenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkgggtgfesthhqredttddtjeenucfhrhhomhepmfgvvhhinhcugghighhouhhrohhugicuoehkvgdrvhhighhouhhrohhugieslhgrphhoshhtvgdrnhgvtheqnecuggftrfgrthhtvghrnheptdeukeegfedthedugeevgfefkeegfffhheelveeludeukeejvddvkeeffffhtdfhnecukfhppedutdelrddvudekrdduvdelrdduudegnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehinhgvthepuddtledrvddukedruddvledruddugedphhgvlhhopegrrhgrghhoghdpmhgrihhlfhhrohhmpehkvgdrvhhighhouhhrohhugieslhgrphhoshhtvgdrnhgvthdprhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhg
Received: from aragog (arennes-653-1-290-114.w109-218.abo.wanadoo.fr
 [109.218.129.114])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mlpnf0109.laposte.net (SMTP Server) with ESMTPSA id 4H83y92D33z14K0Z
 for <bug-gnu-emacs@HIDDEN>; Tue, 14 Sep 2021 15:25:53 +0200 (CEST)
From: Kevin Vigouroux <ke.vigouroux@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.2; test-completion should return non-nil
Date: Tue, 14 Sep 2021 15:25:49 +0200
Message-ID: <87ilz3p9uq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=lpn-wlmd;
 t=1631625954; bh=ZqEa2ctT7cq3mZ1pEuwAC8gQOxdlYRUo/8lAQ/L7vP8=;
 h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 b=UVlKf9+Ca0vQNDZi8kjeR5XFKU89p3k2DLNUzDiLkSJxiUj/kX9Qtt9F2Ti+uiq1v6jKRld0ojGhz9J1XcpopFgvoFVmUwbhpTkQ847LaiVjjt/boAxEtpjTdRcpY28mxWudtmph0x+mDLVjp1vEx070ay7WlPVbuVuUpTmKCfCI3QXLfT4OHr3ELpQU5JNbUUUjjc6BdJK6zoZHrQAtuZKiO0OvFcdx1pe9zIbLUHHOqaF5o0pHCeLNZO0UPcJwr4MkYv5T+nOFYunY9ZVwj5U8f+iBnyivFnKIVgJ4HUYsFuz07YPgnLxEKV2vzc3f1FRLl/CafnjBbKces4Lv9Q==;
Received-SPF: pass client-ip=160.92.124.100;
 envelope-from=ke.vigouroux@HIDDEN; helo=smtp-outgoing-1702.laposte.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


In the following code, I assume that `test-completion' should return a
non-=E2=80=98nil=E2=80=99 value because "foo" is a valid completion alterna=
tive.

(test-completion
 "foo"
 '("foobar" "bar" "barfoo"))

=3D> nil

(try-completion
 "foo"
 '("foobar" "bar" "barfoo"))

=3D> "foobar"

#+begin_quote=20
-- Function: test-completion string collection &optional predicate
     This function returns non-=E2=80=98nil=E2=80=99 if STRING is a valid c=
ompletion
     alternative specified by COLLECTION and PREDICATE.  The arguments
     are the same as in =E2=80=98try-completion=E2=80=99.  For instance, if=
 COLLECTION
     is a list of strings, this is true if STRING appears in the list
     and PREDICATE is satisfied.

     This function uses =E2=80=98completion-regexp-list=E2=80=99 in the sam=
e way that
     =E2=80=98try-completion=E2=80=99 does.

     If PREDICATE is non-=E2=80=98nil=E2=80=99 and if COLLECTION contains s=
everal
     strings that are equal to each other, as determined by
     =E2=80=98compare-strings=E2=80=99 according to =E2=80=98completion-ign=
ore-case=E2=80=99, then
     PREDICATE should accept either all or none of them.  Otherwise, the
     return value of =E2=80=98test-completion=E2=80=99 is essentially unpre=
dictable.

     If COLLECTION is a function, it is called with three arguments, the
     values STRING, PREDICATE and =E2=80=98lambda=E2=80=99; whatever it ret=
urns,
     =E2=80=98test-completion=E2=80=99 returns in turn.
#+end_quote


In GNU Emacs 27.2 (build 1, aarch64-unknown-linux-gnu, GTK+ Version 3.24.27=
, cairo version 1.17.4)
 of 2021-03-26 built on leming
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Manjaro ARM

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Mark set [2 times]
Making completion list...
Quit
nil
"foobar"
nil
Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --with-wide-int
 --with-modules --with-cairo --with-harfbuzz 'CFLAGS=3D-march=3Darmv8-a -O2
 -pipe -fno-plt' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LC_MONETARY: fr_FR.UTF-8
  value of $LC_NUMERIC: fr_FR.UTF-8
  value of $LC_TIME: fr_FR.UTF-8
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug modus-operandi-theme pcase modus-themes
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source
utf7 netrc nnoo parse-time iso8601 gnus-spec gnus-int gnus-range
gnus-win smtpmail sendmail message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg epg-config mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
gnus nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
text-property-search time-date mail-utils mm-util mail-prsvr wid-edit
info package easymenu browse-url url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 163236 36337)
 (symbols 48 13579 1)
 (strings 32 33525 2404)
 (string-bytes 1 1125620)
 (vectors 16 17161)
 (vector-slots 8 210976 13280)
 (floats 8 159 47)
 (intervals 56 372 69)
 (buffers 1000 13))




Acknowledgement sent to Kevin Vigouroux <ke.vigouroux@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50583; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 16 Sep 2021 12:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.